Bug 1123131 - libreoffice: KDE UI
libreoffice: KDE UI
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE.org
Classification: openSUSE
Component: 3rd party software
unspecified
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Fabian Vogt
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-01-25 08:59 UTC by Cor Blom
Modified: 2019-08-18 14:44 UTC (History)
5 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
screenshot of libreoffuce (110.93 KB, image/png)
2019-06-03 19:03 UTC, Ednilson Miura
Details
supportconfig for the SUT, if it helps. (1.15 MB, application/x-bzip-compressed-tar)
2019-06-03 19:22 UTC, Ednilson Miura
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Blom 2019-01-25 08:59:09 UTC
The new kde5 and qt5 vcl plugins are not build with 6.2.0.3. See for example the buildlog:

configure: VCLplugs to be built: gtk gtk3 gtk3_kde5

See also release notes:

> Two new VCL plugins (qt5 and kde5) have been implemented (with the KDE5 plugin extending the Qt5 one) to provide integration into KDE Plasma 5 and other Qt5-based desktop environments, mainly implemented by Katarína Behrens (CIB) and Jan-Marek Glogowski (City of Munich).

Looking at the spec file first kde5 is enabled, but later in the file kde5 is disabled again. I think qt5 also need to be enabled for kde5 to work.
Comment 1 Tomáš Chvátal 2019-01-25 09:02:58 UTC
We are utilizing the gtk3_kde5 wrapper on the LO. If that is not what is desired the KDE team needs to figure out what they want to be enabled and switch it up accordingly.
Comment 2 Fabian Vogt 2019-01-25 09:05:47 UTC
(In reply to Tomáš Chvátal from comment #1)
> We are utilizing the gtk3_kde5 wrapper on the LO. If that is not what is
> desired the KDE team needs to figure out what they want to be enabled and
> switch it up accordingly.

That was only supposed to be a workaround for the transition period between kde4 and "kde5".

If you can provide a test RPM with the proper kde5 plugin built, I'll give it a try and if it works well enough the default should be switched.
Comment 3 Tomáš Chvátal 2019-01-25 11:19:11 UTC
(In reply to Fabian Vogt from comment #2)
> (In reply to Tomáš Chvátal from comment #1)
> > We are utilizing the gtk3_kde5 wrapper on the LO. If that is not what is
> > desired the KDE team needs to figure out what they want to be enabled and
> > switch it up accordingly.
> 
> That was only supposed to be a workaround for the transition period between
> kde4 and "kde5".
> 
> If you can provide a test RPM with the proper kde5 plugin built, I'll give
> it a try and if it works well enough the default should be switched.

I've changed it in LibreOffice:Factory repo and it should build in few hours.
Comment 4 Cor Blom 2019-01-25 11:47:42 UTC
(In reply to Tomáš Chvátal from comment #3)
> I've changed it in LibreOffice:Factory repo and it should build in few hours.

You forgot two remove the configure options --disbale-kde5 and --disable-qt5 almost 30 lines lower. Now it only builds the gtk and gtk3 plugins.
Comment 5 Swamp Workflow Management 2019-01-26 22:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/668844 Factory / libreoffice
Comment 6 Fabian Vogt 2019-01-26 22:51:12 UTC
(In reply to Tomáš Chvátal from comment #3)
> (In reply to Fabian Vogt from comment #2)
> > (In reply to Tomáš Chvátal from comment #1)
> > > We are utilizing the gtk3_kde5 wrapper on the LO. If that is not what is
> > > desired the KDE team needs to figure out what they want to be enabled and
> > > switch it up accordingly.
> > 
> > That was only supposed to be a workaround for the transition period between
> > kde4 and "kde5".
> > 
> > If you can provide a test RPM with the proper kde5 plugin built, I'll give
> > it a try and if it works well enough the default should be switched.
> 
> I've changed it in LibreOffice:Factory repo and it should build in few hours.

I tried it and got greeted with the plain X11 VCL.
However, with SAL_USE_VCLPLUGIN=kde5 libreoffice it works absolutely fine (and natively on wayland as well).
So it seems like the autodetection is screwed up somehow.
Comment 7 Cor Blom 2019-01-26 23:23:40 UTC
Also tried it out. With a global menu the kde5 version is better than the gtk3 one, because with gkt3(-kde5) there are two menubars next to one another. This is not the case with the kde5 vcl.

I have another problem with the kde5 plugin: it seems the windowclass is not set correctly. This causes problems with the icons only taskbar and programs grouping. When I start writer and after calc, they are grouped as if the same program. for both the window class is soffice.bin..

Probably something to do with

https://bugs.documentfoundation.org/show_bug.cgi?id=119202

The kde bug referred to in that bug provided a work around, but that does not work anymore apparently.
Comment 8 Cor Blom 2019-01-27 19:31:45 UTC
(In reply to Fabian Vogt from comment #6)
> I tried it and got greeted with the plain X11 VCL.
> However, with SAL_USE_VCLPLUGIN=kde5 libreoffice it works absolutely fine
> (and natively on wayland as well).
> So it seems like the autodetection is screwed up somehow.

On my system autodetection works fine.
Comment 9 Fabian Vogt 2019-01-28 10:27:17 UTC
(In reply to Cor Blom from comment #8)
> (In reply to Fabian Vogt from comment #6)
> > I tried it and got greeted with the plain X11 VCL.
> > However, with SAL_USE_VCLPLUGIN=kde5 libreoffice it works absolutely fine
> > (and natively on wayland as well).
> > So it seems like the autodetection is screwed up somehow.
> 
> On my system autodetection works fine.

Confirmed to be caused by WAYLAND_DISPLAY set in the environment. It defaults to GNOME and ignores other checks in that case:

https://github.com/LibreOffice/core/blob/293526165fcd236ba1742de2feec6ea06376e83f/vcl/unx/generic/desktopdetect/desktopdetector.cxx#L283
Comment 10 Tomáš Chvátal 2019-01-29 08:50:17 UTC
Now the font rendering seems borked in openQA:

https://openqa.opensuse.org/tests/841865#step/ooffice/4

To quote from LO irc:
[09:44:22] <jmux> scarabeus: some Qt bug or bugfix AFAIK. Works ok with qt 5.9, but breaks with qt 5.11.
[09:44:59] <jmux> Fun fact: the rendering is actually done using cairo and not qt
Comment 11 Swamp Workflow Management 2019-01-29 09:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/669465 Factory / libreoffice
Comment 12 Fabian Vogt 2019-01-29 09:58:58 UTC
(In reply to Tomáš Chvátal from comment #10)
> Now the font rendering seems borked in openQA:
> 
> https://openqa.opensuse.org/tests/841865#step/ooffice/4

It does not look like the font rendering is broken, but rather like everything is broken - the blue tint shows that.

It works fine here though, see https://i.imgur.com/9bBvJKP.png (uploading attachments is currently broken).

> To quote from LO irc:
> [09:44:22] <jmux> scarabeus: some Qt bug or bugfix AFAIK. Works ok with qt
> 5.9, but breaks with qt 5.11.
> [09:44:59] <jmux> Fun fact: the rendering is actually done using cairo and
> not qt

I need more information than that to be able to help here.
Comment 13 Tomáš Chvátal 2019-01-29 11:11:30 UTC
Oky, I've got a patch from upstream:
https://gerrit.libreoffice.org/plugins/gitiles/core/+/0bdfb521f8a16be634b073d45d07c34b51f8e5e4%5E%21

And resubmitted.

But if you encounter more problems maybe you can ask about them on the #libreoffice-dev channel as I suspect there will be more broken things.
Comment 14 Swamp Workflow Management 2019-01-29 11:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/669779 Factory / libreoffice
Comment 16 Robby Engelmann 2019-02-14 22:15:44 UTC
I probably found an issue:
https://bugzilla.opensuse.org/show_bug.cgi?id=1125210
Comment 17 Swamp Workflow Management 2019-02-22 10:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/678206 Factory / libreoffice
Comment 18 Swamp Workflow Management 2019-02-25 13:40:07 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/678914 Factory / libreoffice
Comment 19 Swamp Workflow Management 2019-02-26 10:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/679191 Factory / libreoffice
Comment 20 Swamp Workflow Management 2019-03-04 10:10:07 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/681242 Factory / libreoffice
Comment 21 Swamp Workflow Management 2019-03-07 10:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1123131) was mentioned in
https://build.opensuse.org/request/show/682372 Factory / libreoffice
Comment 22 Cor Blom 2019-03-13 12:28:34 UTC
It seems to me this is solved now. Closing bug.
Comment 25 Ednilson Miura 2019-06-03 19:01:47 UTC
Hello, I'm testing S:M:11056:193563	(libreoffice for SLE12SP3/SP4). is there any modification necessary to make this VCL work?
I mean, I get VLC: gtk2 even exporting SAL_USE_VCLPLUGIN=kde5.
Also, I'm running kde5 from packagehub and there's no WAYLAND_DISPLAY being exported.
Comment 26 Ednilson Miura 2019-06-03 19:03:10 UTC
Created attachment 806692 [details]
screenshot of libreoffuce
Comment 27 Ednilson Miura 2019-06-03 19:22:44 UTC
Created attachment 806693 [details]
supportconfig for the SUT, if it helps.
Comment 28 Tomáš Chvátal 2019-06-03 20:15:55 UTC
(In reply to Ednilson Miura from comment #25)
> Hello, I'm testing S:M:11056:193563	(libreoffice for SLE12SP3/SP4). is there
> any modification necessary to make this VCL work?
> I mean, I get VLC: gtk2 even exporting SAL_USE_VCLPLUGIN=kde5.
> Also, I'm running kde5 from packagehub and there's no WAYLAND_DISPLAY being
> exported.

KDE is not supported as an interface for SLE. We would have to rebuild libreoffice with all the support libraries for KDE in Packagehub to provide it.
Comment 30 Fabian Vogt 2019-06-04 07:39:28 UTC
(In reply to Tomáš Chvátal from comment #28)
> (In reply to Ednilson Miura from comment #25)
> > Hello, I'm testing S:M:11056:193563	(libreoffice for SLE12SP3/SP4). is there
> > any modification necessary to make this VCL work?
> > I mean, I get VLC: gtk2 even exporting SAL_USE_VCLPLUGIN=kde5.
> > Also, I'm running kde5 from packagehub and there's no WAYLAND_DISPLAY being
> > exported.
> 
> KDE is not supported as an interface for SLE. We would have to rebuild
> libreoffice with all the support libraries for KDE in Packagehub to provide
> it.

It would be enough to build just the plugin in packagehub. Not sure whether the LO build system makes this easy to do though...
Comment 31 Tomáš Chvátal 2019-06-04 07:59:39 UTC
(In reply to Fabian Vogt from comment #30)
> (In reply to Tomáš Chvátal from comment #28)
> > (In reply to Ednilson Miura from comment #25)
> > > Hello, I'm testing S:M:11056:193563	(libreoffice for SLE12SP3/SP4). is there
> > > any modification necessary to make this VCL work?
> > > I mean, I get VLC: gtk2 even exporting SAL_USE_VCLPLUGIN=kde5.
> > > Also, I'm running kde5 from packagehub and there's no WAYLAND_DISPLAY being
> > > exported.
> > 
> > KDE is not supported as an interface for SLE. We would have to rebuild
> > libreoffice with all the support libraries for KDE in Packagehub to provide
> > it.
> 
> It would be enough to build just the plugin in packagehub. Not sure whether
> the LO build system makes this easy to do though...

Nope, only full rebuild possible and then shipping the component...

Not really worth it in my eyes.
Comment 32 Swamp Workflow Management 2019-06-07 16:16:22 UTC
SUSE-SU-2019:1448-1: An update that solves one vulnerability and has 11 fixes is now available.

Category: security (moderate)
Bug References: 1089811,1116451,1121874,1123131,1123455,1124062,1124869,1127760,1127857,1128845,1135189,1135228
CVE References: CVE-2018-16858
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2
SUSE Linux Enterprise Desktop 12-SP4 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 34 Swamp Workflow Management 2019-07-29 16:20:24 UTC
SUSE-SU-2019:2003-1: An update that solves one vulnerability and has 18 fixes is now available.

Category: security (important)
Bug References: 1110348,1112112,1112113,1112114,1116451,1117195,1117300,1121874,1123131,1123455,1124062,1124658,1124869,1127760,1127857,1128845,1135189,1135228,882383
CVE References: CVE-2018-16858
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    libreoffice-6.2.5.2-8.5.1, libwps-0.4.10-7.3.3
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libreoffice-6.2.5.2-8.5.1, libwps-0.4.10-7.3.3

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 35 Swamp Workflow Management 2019-08-18 13:46:33 UTC
openSUSE-SU-2019:1929-1: An update that solves one vulnerability and has 11 fixes is now available.

Category: security (moderate)
Bug References: 1089811,1116451,1121874,1123131,1123455,1124062,1124869,1127760,1127857,1128845,1135189,1135228
CVE References: CVE-2018-16858
Sources used:
openSUSE Leap 15.1 (src):    libixion-0.14.1-lp151.4.3.1, liborcus-0.14.1-lp151.3.3.1, libreoffice-6.2.5.2-lp151.3.3.4, libwps-0.4.10-lp151.2.3.1, mdds-1_4-1.4.3-lp151.2.1, myspell-dictionaries-20190423-lp151.2.3.1
openSUSE Leap 15.0 (src):    libixion-0.14.1-lp150.3.3.1, liborcus-0.14.1-lp150.2.3.1, libreoffice-6.2.5.2-lp150.2.13.3, libwps-0.4.10-lp150.7.1, mdds-1_4-1.4.3-lp150.2.1, myspell-dictionaries-20190423-lp150.2.10.1